Subject: mounting USB pendrive by UUID fails

From: antonio maccagnan <[email-masked]>
Date: Thu, 4 Jun 2020 13:01:36 -0700

Hello,

I usually mount my USB pendrive with the command:
sudo mount -o uid=1000 UUID=8789-1481 /home/mac/DATA

However, on a fresh install of Alpine (with Jwm, Pcmanfm, and usbutils installed), I get the error:
mount: mounting UUID=8789-1481 on /home/mac/DATA failed: No such file or directory

blkid output is:
/dev/sdc1: LABEL_FATBOOT="USB-DATA" LABEL="USB-DATA" UUID="8789-1481" BLOCK_SIZE="512" TYPE="vfat" PARTUUID="76aa7c00-01"

I have tried the following option:
alpine:~$ sudo mount -t vfat -o uid=1000 'blkid -U 8789-1481' /home/mac/DATA
And got the same error.

I can mount the USB pendrive only with the command:
sudo mount -t vfat -o uid=1000 /dev/sdc1 /home/mac/DATA

Any suggestions?